
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 审核信息
 *
 * @author YXF
 */
@Data
@Schema(description = "审核信息")
public class ShopAuditingInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "申请时间")
    private Date createTime;

    @Schema(description = "审核状态 0未审核 1已通过 -1未通过")
    private Integer status;

    @Schema(description = "店铺名字")
    private String shopName;

    @Schema(description = "店铺详细地址")
    private String shopAddress;

    @Schema(description = "店铺所在省份")
    private String province;

    @Schema(description = "店铺所在城市")
    private String city;

    @Schema(description = "店铺所在区域")
    private String area;

    @Schema(description = "店铺logo")
    private String shopLogo;

    @Schema(description = "店铺简介")
    private String intro;

    @Schema(description = "店铺状态")
    private Integer shopStatus;

    @Schema(description = "店铺账号")
    private String mobile;


}
