
package com.tmerclub.cloud.platform.feign;

import com.tmerclub.cloud.api.platform.feign.SysAccessKeyFeignClient;
import com.tmerclub.cloud.api.platform.vo.SysAccessKeyVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.common.util.BeanUtil;
import com.tmerclub.cloud.platform.service.SysAccessKeyService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author TRAKC
 */
@DubboService
public class SysAccessKeyFeignController implements SysAccessKeyFeignClient {

    @Autowired
    private SysAccessKeyService sysAccessKeyService;

    @Override
    public ServerResponseEntity<SysAccessKeyVO> getByAccessId(String accessId) {
        SysAccessKeyVO accessKeyVO = sysAccessKeyService.getByAccessId(accessId);
        return ServerResponseEntity.success(accessKeyVO);
    }
}
