
package com.tmerclub.cloud.api.supplier.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author track
 */
public interface SupplierWithdrawCashFeignClient {

    /**
     * 提现回调
     * @param bizOrderNo
     * @param payStatus
     * @param bizUserId
     * @param payFailMessage
     * @return
     */
    ServerResponseEntity<Void> withdrawBack(String bizOrderNo,
                                            String payStatus,
                                            String bizUserId,
                                            String payFailMessage);
}
