
package com.tmerclub.cloud.api.biz.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author cl
 * @date 2021-08-13 10:02:26
 */
public class ResourcesInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "服务器域名url", requiredMode = Schema.RequiredMode.REQUIRED)
    private String resourcesUrl;

    @Schema(description = "文件上传的路径", requiredMode = Schema.RequiredMode.REQUIRED)
    private String filePath;

    public String getResourcesUrl() {
        return resourcesUrl;
    }

    public void setResourcesUrl(String resourcesUrl) {
        this.resourcesUrl = resourcesUrl;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    @Override
    public String toString() {
        return "ResourcesInfoVO{" +
                "resourcesUrl='" + resourcesUrl + '\'' +
                ", filePath='" + filePath + '\'' +
                '}';
    }
}
