package com.tmerclub.cloud.common.constant;

import java.time.LocalTime;

/**
 * @author lanhai
 */
public class AllinpayConstant {
    public static final String SHOP = "Mall4jShop" + Constant.DASHED_ENV;
    public static final String SUPPLIER = "Mall4jSupplier" + Constant.DASHED_ENV;
    public static final String USER = "Mall4jUser" + Constant.DASHED_ENV;

    public static final Integer SHOP_LENGTH = SHOP.length();

    public static final Integer SUPPLIER_LENGTH = SUPPLIER.length();

    /**
     * 暂时定死行业代码为 1910:其他
     */
    public static final String INDUSTRY_CODE = "1910";
    public static final String INDUSTRY_NAME = "其他";

    public static final String SET_COMPANY_INFO_RESULT = "当前企业用户已审核通过，无法设置企业信息。";

    /**
     * 通联企业信息审核成功
     */
    public static final String ALLINPAY_AUDIT_SUCCESS = "审核成功";

    public static final String ID_CARD_UPDATE_SUCCESS = "影印件更新成功";

    /**
     * 通联无感注册默认绑定手机号
     */
    public static final String DEFAULT_BIND_PHONE_NUMBER = "88888888888";

    /**
     * 允许提现起始时间
     */
    public static final LocalTime ALLOW_WITHDRAW_START_TIME = LocalTime.of(7, 0);
    /**
     * 允许提现结束时间
     */
    public static final LocalTime ALLOW_WITHDRAW_END_TIME = LocalTime.of(20, 0);
}
