
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商扩张信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long supplierExtensionId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 供应商商品总销量
     */
    private Integer saleNum;

}
