package com.tmerclub.cloud.api.order.feign;

import com.tmerclub.cloud.api.order.bo.EsAllotOrderBO;

/**
 * @author gaozijie
 * @since 2023-11-24
 */
public interface AllotOrderFeignClient {

    /**
     * 调拨订单保存进mongo，并返回es数据
     * @param allotOrderId 调拨订单id
     */
    EsAllotOrderBO saveMongoAndGetEsInfo(Long allotOrderId);

    /**
     * 统计未完成的调拨订单数量
     * @param warehouseId 仓库id
     * @return 未完成数
     */
    Long countUnFinish(Long warehouseId);
}
