
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author lhd
 * @date 2020/12/28
 */
public interface FlowCacheNames {

    /**
     * 前缀
     */
    String FLOW_PREFIX = "tmerclub_flow:";

    /**
     * 用户流量数据
     */
    String FLOW_FLOW_DATA = FLOW_PREFIX + "flow_data:";

    /**
     * 商品数据
     */
    String FLOW_PRODUCT_DATA = FLOW_PREFIX + "product_data:";

    /**
     * 访问留存分析
     */
    String FLOW_VISIT_RETAINED_KEY = FLOW_PREFIX + "visit_retained:";

    /**
     * 报表项
     */
    String FORM_ITEM_KEY = FLOW_PREFIX + "form_item:";

    /**
     * 推荐报表项
     */
    String FORM_RECOMMEND_LIST_KEY = FLOW_PREFIX + "recommend_list:";

    // ============================ 流量分析 ============================


    /**
     * 实时商品数据的统计时间
     */
    String SPU_STATISTICS_TIME = FLOW_PREFIX + "spu_statistics_time";


    /**
     * 实时商品数据的统计时间
     */
    String FLOW_SYSTEM_ALL = FLOW_PREFIX + "system_all";


    /**
     * 实时商品数据的统计时间
     */
    String MEMBER_SURVEY_NEARLY_TIME = FLOW_PREFIX + "member_survey_nearly_time:";

}
